> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/cn/proxies/dedicated-datacenter-proxies/enterprise/proxy-lists.md).

# 代理列表

通过 URL 或 RESTful API 访问企业版独享数据中心代理列表。以编程方式获取包含国家/地区和城市信息的代理 IP。

## 基础

您应该会从您的专属客户经理或我们的支持团队收到一个代理列表 URL，它应类似于这样：

`https://proxy.oxylabs.io/key/a27c5343ce4c4637a85a9297ddf1cace`

在浏览器中（或任何其他首选软件中）打开此 URL。然后系统会要求您输入登录凭据（HTTP 基本身份验证）：

![](https://3714446197-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FBQ7Zf9paoN3FTeGcyfY1%2Fuploads%2Fgit-blob-8937fbef021c145a25559d85dda1db98fdc25a76%2Fauth_required.png?alt=media)

完成后，您将获得一个纯文本格式的代理列表。

如果您有多个列表，并希望获取分配给您账户的所有 IP，可以使用此 URL：

`https://proxy.oxylabs.io/all`

您还可以在 `?showCountry` 还是 `?showCity` 将其添加到 URL 末尾，以获取带有对应位置的 IP。

```
127.0.0.1:60000
127.0.0.2:60000
127.0.0.3:60000
127.0.0.4:60000
```

## RESTful

### 显示所有可用的代理列表

通过此端点，您可以检索属于您的用户的代理列表：

`GET https://api.oxylabs.io/v1/代理/lists`

#### 代码示例

{% tabs %}
{% tab title="cURL" %}

```shell
curl -u username:password "https://api.oxylabs.io/v1/proxies/lists"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/proxies/lists");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');

$result = curl_exec($curl);
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.get('https://api.oxylabs.io/v1/proxies/lists', auth=('username', 'password'))
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;
using System.Text;

class Example
{
    static void Main()
    {
        HttpClient client = new HttpClient();
        var byteArray = Encoding.ASCII.GetBytes("username:password");
        client.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Basic", Convert.ToBase64String(byteArray));
        var task = Task.Run(async () => {
            var response = await client.GetAsync("https://api.oxylabs.io/v1/proxies/lists");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        }); 
        task.Wait();
    
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

#### 示例输出

```shell
[
  {
    "uuid": "123e4567-e89b-12d3-a456-426655440000",
    "key": "12345678",
    "updated_timestamp": "2016-09-28T13:03:50+0300",
    "ips_count": 2000,
    "href": "http://api.oxylabs.io/v1/proxies/lists/123e4567-e89b-12d3-a456-426655440000"
  }
]
```

### 检索特定代理列表

使用此端点，您可以获取特定的代理列表：

`GET https://api.oxylabs.io/v1/代理/lists/{uuid}`

#### 请求参数

| 参数     | 描述             |
| ------ | -------------- |
| `UUID` | 要检索的代理列表的 uuid |

#### 代码示例

{% tabs %}
{% tab title="cURL" %}

```shell
curl -u username:password "https://api.oxylabs.io/v1/proxies/lists/{uuid}"
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/proxies/lists/{uuid}");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
requests.get('https://api.oxylabs.io/v1/proxies/lists/{uuid}', auth=('username', 'password'))
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;
using System.Text;

class Example
{
    static void Main()
    {
        HttpClient client = new HttpClient();
        var byteArray = Encoding.ASCII.GetBytes("username:password");
        client.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue("Basic", Convert.ToBase64String(byteArray));
        var task = Task.Run(async () => {
            var response = await client.GetAsync("https://api.oxylabs.io/v1/proxies/lists/{uuid}");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        }); 
        task.Wait();
    
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

#### 示例输出

```shell
[
  {
    "ip": "127.0.0.1",
    "port": "60000",
    "country": "BE",
    "city": "布鲁塞尔",
    "created_at": "2022-04-06 13:03:10"
  },
  { 
    "ip": "127.0.0.2",
    "port": "60000",
    "country": "BE",
     "city": "布鲁塞尔",
    "created_at": "2022-04-06 13:03:10"
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/cn/proxies/dedicated-datacenter-proxies/enterprise/proxy-lists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
